Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #115

Make LyricWiki errors more descriptive
May 27,2012 01:01 - Artem S. Tashkinov

Status: Closed Start date: May 27, 2012
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/lyricwiki Estimated time: 0.00 hour
Target version: 3.3

Affects version: 3.2.3

Description

When you build audacious-plugins without Neon support, LyricWiki stops working but doesn't show any error messages.

Either

1) Don't allow building LyricWiki without libneon

or

2) LyricWiki should always show an error message "LyricWiki requires Neon support built-in" (in case neon support is not available)

History

#1 - May 29, 2012 02:48 - Ariadne Conill

not true, the lyricwiki plugin depends on any VFS provider which provides an http URI scheme. if you were to provide an alternative http plugin, it
would work.

lyricwiki plugin does not use libneon directly.

#2 - May 29, 2012 08:17 - Artem S. Tashkinov

At least is it possible to update LyricWiki plugin so that it spitted an error saying no HTTP providers are compiled in, thus it cannot fetch remote data?

#3 - May 29, 2012 23:46 - John Lindgren
- Tracker changed from Bug to Feature
- Subject changed from LyricWiki doesn't work without Neon to Make LyricWiki errors more descriptive

- Category set to plugins/lyricwiki

#4 - July 04, 2012 20:24 - John Lindgren

Artem S. Tashkinov wrote:

At least is it possible to update LyricWiki plugin so that it spitted an error saying no HTTP providers are compiled in, thus it cannot fetch remote
data?

No, such details are hidden from plugins. All LyricWiki knows is whether vis_fopen() succeeded or failed.

#5 - July 04, 2012 21:53 - John Lindgren

- Status changed from New to Closed
- Target version set to 3.3

- % Done changed from 0 to 100

Better error reporting has been implemented in 3.3-devel.
